Issue 95220

Summary: Bigger application icons in KDE and Gnome
Product: gsl Reporter: kendy
Component: codeAssignee: kendy
Status: CLOSED FIXED QA Contact: issues@gsl <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOO300m9   
Target Milestone: OOo 3.1   
Hardware: All   
OS: All   
Issue Type: PATCH Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
The patch.
none
The screenshot. none

Description kendy 2008-10-20 19:11:55 UTC
There's no reason to arbitrary use smaller icons I guess ;-) - it looks ugly 
in the modern desktop environments.  I'll attach the most trivial approach - 
maybe it makes sense to remove parts of that code for good, I don't know...
Comment 1 kendy 2008-10-20 19:13:22 UTC
Created attachment 57321 [details]
The patch.
Comment 2 philipp.lohmann 2008-10-21 09:49:38 UTC
accepted
Comment 3 philipp.lohmann 2008-10-21 16:17:33 UTC
What desktop environment are we talking exactly ? On KDE (3.5 or 4) the icon
appears in the task bar and on the upper left (the window menu). Both Icons are
considerably smaller than 48 pixel. The same is true for gnome. This is based on
OpenSuSE 11 (you may have heard about it ;-) )

So why not use the icons that were designed for small sizes, if they are most
often used ?
Comment 4 kendy 2008-10-21 16:27:35 UTC
pl: Here, if you eg. point the mouse pointer over a taskbar, you get a 
considerably bigger version of the icon; with the unpatched OOo, it looks 
quite ugly - I'll attach a screenshot.  Affects both KDE 3 and 4, and gnome as 
well (though I don't remember where exactly I saw that).
Comment 5 kendy 2008-10-21 16:36:04 UTC
Created attachment 57359 [details]
The screenshot.
Comment 6 philipp.lohmann 2008-10-21 16:59:36 UTC
I see, it makes the bigger images nicer at cost of the small ones which are now
downsampled. OK, will commit. Is there a way to set both sets of icons ?
Comment 7 philipp.lohmann 2008-10-21 17:01:41 UTC
committed in CWS vcl96
Comment 8 kendy 2008-10-21 17:20:46 UTC
pl: So - I did not know, but asked Lubos Lunak, the KWin maintainer ;-)  It is 
possible to set the icon in various sizes, but not with the code we have there 
now.  He pointed me to the the method NETWinInfo::setIconInternal() from 
http://websvn.kde.org/*checkout*/trunk/KDE/kdelibs/kdeui/windowmanagement/netwm.cpp 
that could be reused (see the license at the top).  A bit info about this is 
in _NET_WM_ICON part of 
http://standards.freedesktop.org/wm-spec/wm-spec-latest.html#id2552223 .
Comment 9 philipp.lohmann 2008-10-21 17:34:15 UTC
oh, interesting. I always thought that property also set only one icon size. I
misunderstood the array to be of RGBA+2*CARD32 where it is actually an array of
such arrays.

I'll create a followup task (issue 95278) so we can support this property.
Comment 10 philipp.lohmann 2008-11-17 12:23:07 UTC
please verify in CWS vcl96
Comment 11 kendy 2008-11-18 12:57:38 UTC
Verified, it's in.  Thank you!
Comment 12 thorsten.ziehm 2010-02-22 15:39:55 UTC
This issue is closed automatically. It should be fixed in a version with is
available for longer than half a year (OOo 3.1). If you think this issue isn't
fixed in the current version (OOo 3.2) please reopen it. But then please pay
attention about the field 'target milestone'.
The closure was approved by the Release Status Meeting at 22nd of February 2010
and it is based on the issue handling guideline for fixed/verified issues :
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues